#!/usr/bin/python

from snack import *

##
## I18N
## 

import locale
from rhpl.translate import _, N_, textdomain_codeset
import rhpl.translate as translate
#translate.textdomain ("firstboot")
try:
    locale.setlocale(locale.LC_ALL, "")
    textdomain_codeset("firstboot", locale.nl_langinfo(locale.CODESET))
except locale.Error:
    import __builtin__
    __builtin__.__dict__['_'] = unicode    

class TextWindow:
    def __call__(self, screen):
        bb = ButtonBar(screen, [_("Yes"), _("No")])
        t = TextboxReflowed(50, 
                _("The Setup Agent can assist you in configuring your machine "
                  "by guiding you through a series of steps.  Setup Agent requires the X Window System "
                  "to run.  \n\n"
                  "If you wish to run the Setup Agent, "
                  "please choose \"Yes\".  If you choose \"No\", the system will continue booting and "
                  "you will never see this message again.  Do you wish to run the Setup Agent now?"))

        g = GridFormHelp(screen, _("Setup Agent"), "kbdtype", 1, 4)
        g.add(t, 0, 0)
        g.add(bb, 0, 3, growx = 1)

        g.setTimer(25000)
        
        rc = g.runOnce()

        button = bb.buttonPressed(rc)

        if button == "yes":
            return 0
        else:
            return -1

